Subject: Re: bug#1086: ange-ftp and open recent files

From: Michael Albinus <[email-masked]>
Date: Tue, 14 Oct 2008 10:44:16 +0200

"David Strozzi" <[email-masked]> writes:

> Doesn't seem to work.  I put the following in .emacs, and get prompted
> for an ange-ftp password.  If I comment it all out I don't, and of
> course don't get open-recent menu.  My goals is to *not* have ange-ftp
> files listed, or at least I don't want to be asked for a password.
>
> (require 'recentf)
> (recentf-mode 1)
> (add-to-list 'recentf-keep 'file-remote-p)

You must customize `recentf-keep' *before* enabling `recentf-mode'. Try
it this order:

(require 'recentf)
(add-to-list 'recentf-keep 'file-remote-p)
(recentf-mode 1)

> Thanks again,
> Dave

Best regards, Michael.

PS: Please keep <[email-masked]> in Cc.